Bug 60951 - opl3sax card set up incorrectly
opl3sax card set up incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-10 06:48 EST by Gerald Teschl
Modified: 2014-03-16 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which removes YMH0021 from the MODULE_DEVICE_TABLE (482 bytes, patch)
2002-06-07 04:16 EDT, Gerald Teschl
no flags Details | Diff

  None (edit)
Description Gerald Teschl 2002-03-10 06:48:43 EST
A have a opl3sax card which works under linux, but is not set up correctly by
sndconfig.

1) The card shwows up as

Card 1 'YMH0800:YAMAHA OPL3-SAx Audio System' PnP version 1.0
  Logical device 0 'YMH0021:Unknown'
  <snip>
  Logical device 1 'YMH0022:Unknown'
    Compatible device PNPb02f
  <snip>

in /proc/isapnp

2) Using sndconfig it will be detected and sndconfig then asks me to
specify IRQ/IO/DMA settings (which should not be necessary since this is
apnp card), but even if I specify the correct values, it will fail.
From dmesg I see that it tries to use the ad1848 module which does not
seem to be the right driver!?

3) Using sndconfig --noprobe and choosing the card from the list
it will use the opl3sa2 module but fail since the module fails
to activate the card.

4) Setting up the card by hand will work:

  a) Before loding the module I need to activate the card using
--------------------------------
echo "card 0 YMH0800
dev 0 YMH0021
port 0 0x220
port 1 0x530
port 2 0x388
port 3 0x330
port 4 0x370
irq 0 5
dma 0 0
dma 1 1
activate
dev 0 YMH0022
port 0 0x201
activate" > /proc/isapnp
--------------------------------
 b) In /etc/modules.conf I have
--------------------------------
alias sound-slot-0 opl3sa2
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options opl3sa2 ymode=2 isapnp=1
--------------------------------
Comment 1 Gerald Teschl 2002-05-24 07:41:25 EDT
Still broken in 7.3
Comment 2 Gerald Teschl 2002-06-04 12:52:58 EDT
I just debugged this problem. It is not a bug in sndconfig. According to
modules.isapnpmap both ad1848 and opl3sa2 are listed for the dev ids.
Since ad1848 comes first, sndconfig uses ad1848. If I remove the entry for
as1848 sndconfig sets up the card just fine.

Now what is the correct driver for this card? ad1848 does not work 
(No ISAPnP cards found, ....) but opl3sa2 does. See also #49942.
Comment 3 Gerald Teschl 2002-06-07 04:15:07 EDT
I thinkt the right way to fix this is by removing the YMH0021 entry from
the the MODULE_DEVICE_TABLE in ad1848 since this is not the correct driver
for this card. I tested this and it works fine here.
Comment 4 Gerald Teschl 2002-06-07 04:16:09 EDT
Created attachment 60006 [details]
patch which removes YMH0021 from the MODULE_DEVICE_TABLE
Comment 5 Bugzilla owner 2004-09-30 11:39:25 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.